Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.impl
Class OWLSameIndividualsAxiomImpl

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.impl.OWLNaryIndividualAxiomImpl
          edu.stanford.smi.protegex.owl.swrl.bridge.impl.OWLSameIndividualsAxiomImpl

All Implemented Interfaces:
  OWLAxiom, OWLIndividualAxiom, OWLNaryIndividualAxiom, OWLObject, OWLSameIndividualsAxiom

    public class OWLSameIndividualsAxiomImpl

extends OWLNaryIndividualAxiomImpl
implements OWLSameIndividualsAxiom

Constructor Summary
`OWLSameIndividualsAxiomImpl(OWLIndividual individual1, OWLIndividual individual2)`

Method Summary
`OWLIndividual` | `getIndividual1()`
`OWLIndividual` | `getIndividual2()`
`String` | `toString()`
`void` | `write2OWL(OWLModel owlModel)`

Methods inherited from class edu.stanford.smi.protegex.owl.swrl.bridge.impl.OWLNaryIndividualAxiomImpl
`getIndividuals`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.swrl.bridge.OWLNaryIndividualAxiom
`getIndividuals`

Constructor Detail

### OWLSameIndividualsAxiomImpl

    public OWLSameIndividualsAxiomImpl(OWLIndividual individual1,
                                       OWLIndividual individual2)

Method Detail

### getIndividual1

    public OWLIndividual getIndividual1()

  Specified by:
    `getIndividual1` in interface `OWLSameIndividualsAxiom`

### getIndividual2

    public OWLIndividual getIndividual2()

  Specified by:
    `getIndividual2` in interface `OWLSameIndividualsAxiom`

### write2OWL

    public void write2OWL(OWLModel owlModel)
                   throws SWRLRuleEngineBridgeException

  Specified by:
    `write2OWL` in interface `OWLObject`
  Throws:
    `SWRLRuleEngineBridgeException`

### toString

    public String toString()

  Overrides:
    `toString` in class `OWLNaryIndividualAxiomImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.